Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- Choice
- DefaultMemoisable
- Error
- Failure
- InRule
- Memoisable
- MemoisableRules
- Name
- NoSuccess
- Result
- Rule
- Rules
- RulesWithState
- ScalaSigParserError
- SeqRule
- StateRules
- Success
- ~

t

scala.tools.scalap.scalax.rules

# DefaultMemoisable 

###
Companion object DefaultMemoisable

#### trait DefaultMemoisable extends Memoisable

Source
  Memoisable.scala

Linear Supertypes
Memoisable, AnyRef, Any
Known Subclasses
ScalaSig, Entry
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultMemoisable
2. Memoisable
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DefaultMemoisable to any2stringadd[DefaultMemoisable] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DefaultMemoisable, B)
   Implicit
     This member is added by an implicit conversion from DefaultMemoisable to ArrowAssoc[DefaultMemoisable] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def compute[A](key: AnyRef, a: ⇒ A): Any
   Attributes
     protected
9.  def ensuring(cond: (DefaultMemoisable) ⇒ Boolean, msg: ⇒ Any): DefaultMemoisable
   Implicit
     This member is added by an implicit conversion from DefaultMemoisable to Ensuring[DefaultMemoisable] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (DefaultMemoisable) ⇒ Boolean): DefaultMemoisable
    Implicit
      This member is added by an implicit conversion from DefaultMemoisable to Ensuring[DefaultMemoisable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): DefaultMemoisable
    Implicit
      This member is added by an implicit conversion from DefaultMemoisable to Ensuring[DefaultMemoisable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): DefaultMemoisable
    Implicit
      This member is added by an implicit conversion from DefaultMemoisable to Ensuring[DefaultMemoisable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DefaultMemoisable to StringFormat[DefaultMemoisable] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  val map: HashMap[AnyRef, Any]
    Attributes
      protected
21.  def memo[A](key: AnyRef, a: ⇒ A): A
    Definition Classes
      DefaultMemoisable → Memoisable
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  def onSuccess[S, T](key: AnyRef, result: Success[S, T]): Unit
    Attributes
      protected
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  def →[B](y: B): (DefaultMemoisable, B)
    Implicit
      This member is added by an implicit conversion from DefaultMemoisable to ArrowAssoc[DefaultMemoisable] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Memoisable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DefaultMemoisable to any2stringadd[DefaultMemoisable]

### Inherited by implicit conversion StringFormat from DefaultMemoisable to StringFormat[DefaultMemoisable]

### Inherited by implicit conversion Ensuring from DefaultMemoisable to Ensuring[DefaultMemoisable]

### Inherited by implicit conversion ArrowAssoc from DefaultMemoisable to ArrowAssoc[DefaultMemoisable]

### Ungrouped